<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "inquiry";
$formname = "Waiting List Print";
$file = "inquiry_print.php";
//$mgrpcode = "010";

$admin  = $_SESSION["admin_" . $dbname];
$zdb    = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

$name    = $_POST['name'];
$country = $_POST['country'];
$city    = $_POST['city'];
$inqfor  = $_POST['inqfor'];
$inqpackage  = $_POST['inqpackage'];
$frmdt  = $_POST['frmdt'];
$todt  = $_POST['todt'];

$namecond    = "";
$countrycond = "";
$citycond    = "";
$inqforcond  = "";
$inqpackagecond  = "";

if (!empty($name)) {
    $namecond = " AND `name` like '%$name%' ";
}
if (!empty($country)) {
    $countrycond = " AND `country` LIKE '%$country%' ";
}
if (!empty($city)) {
    $citycond = " AND `city` LIKE '%$city%' ";
}
if (!empty($inqfor)) {
    $citycond = " AND `inqfor` LIKE '%$inqfor%' ";
}
if (!empty($inqpackage)) {
    $inqpackagecond = " AND `inqpackage` LIKE '%$inqpackage%' ";
}

if ($frmdt != '' && $todt == '') {
    browse("To Date Cannot Be Empty");
    echo "<script>window.close();</script>";
}

if ($frmdt == '' && $todt != '') {
    browse("From Date Cannot Be Empty");
    echo "<script>window.close();</script>";
}
if ($frmdt != '' && $todt != '') {
    $datecond = " AND inqdate >= '$frmdt' AND inqdate <= '$todt' ";
}

$getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $datecond $inqpackagecond
                                               $namecond $citycond $countrycond $inqforcond group by name order by name") or die(mysqli_error($conn));

if (isset($_POST["view"])) {
    include("includes/linkshead.php");
?>
    <script src="MyScript/item.js" type="text/javascript"></script>
    </head>

    <body>
        <div class="container" style="width:1400px;">
            <?php include("includes/head_rep.php"); ?>
            <div class="">
                <div class="col-lg-12 pad">
                    <table class="table table-bordered table-condensed table-hover">
                        <tr style="background-color: #1ABC9C">
                            <th style="width:3%">Sr</th>
                            <th style="width:10%">Date</th>
                            <th style="width:25%">Name</th>
                            <th style="width:6%">City</th>
                            <th style="width:7%">Country</th>
                            <th style="width:15%">Email</th>
                            <th style="width:7%">Contact No.</th>
                            <th style="width:15%">Package</th>
                            <th style="width:25%">Inquiry For</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {
                            echo "<tr>";
                            echo "<td>$ctr</td>";
                            echo "<td>" .  format_date($pmain['inqdate']) . "</td>";
                            echo "<td>$pmain[name]</td>";
                            // Echo "<td>$pmain[add1] $pmain[add2] $pmain[add3] </td>";
                            echo "<td>$pmain[city]</td>";
                            echo "<td>$pmain[country]</td>";
                            echo "<td>$pmain[email]</td>";
                            // Echo "<td>$pmain[pin]</td>";
                            echo "<td>$pmain[tel]</td>";
                            echo "<td>$pmain[inqpackage]</td>";
                            echo "<td>$pmain[inqfor]</td>";
                            echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>
        <?php include("includes/linksfoot.php"); ?>
    </body>

    </html>
<?php
}

if (isset($_POST["excel"])) {
    $contents .= "Sr., Date, Name, City, Country, Email, Contact No., Package, Inquiry For \n";

    $ctr = 1;
    // mysqli_data_seek($conn, $getpmain);
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $inqdt = format_date($pmain['inqdate']);
        $contents .= "$ctr" . ",";
        $contents .= "$inqdt" . ",";
        $contents .= "$pmain[name]" . ",";
        $contents .= "$pmain[city]" . ",";
        $contents .= "$pmain[country]" . ",";
        $contents .= "$pmain[email]" . ",";
        $contents .= "$pmain[tel]" . ",";
        $contents .= "$pmain[inqpackage]" . ",";
        $contents .= "$pmain[inqfor]" . "\n";
        $ctr++;
    }

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}

if (isset($_POST["subpdf"])) {

    require("library/fpdf/fpdf.php");

    class pdf extends fpdf
    {

        function Footer()
        {



            //Position at 1.5 cm from bottom

            $this->SetY(-15);

            //Arial italic 8

            $this->SetFont('Arial', 'I', 8);

            //Page number

            $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
        }
    }

    $pdf = new pdf('L', 'mm', 'A4');

    $pdf->AliasNbPages();
    $pdf->AddPage();
    $pdf->SetFont('Arial', 'B', 15);
    $pdf->SetTextColor(108, 105, 104);
    $pdf->Cell(200, 7, 'MOHAMMED HAJI ADAM WHOLESALE (L.L.P.)', 0);
    $pdf->Ln();
    $pdf->SetFont('Arial', 'B', 10);
    $pdf->SetTextColor(108, 105, 104);
    $pdf->Cell(0, 10, '84, SHERRIF DEVJI (CHAKLA) STREET, MUMBAI - 400003', 0);
    $pdf->Ln();
    $pdf->SetFont('Arial', 'B', 10);
    $pdf->SetTextColor(108, 105, 104);
    $pdf->Cell(200, 7, "Print - " . $formname, 0, 'R');
    $pdf->Cell(100, 7, "Report Date - " . Date("d-m-y"), 0, 'L');
    $pdf->Ln();
    //$pdf->SetMargins(1,1,1);
    //$pdf->SetXY(5,5);


    $pdf->SetFont('Arial', 'B', 10);
    $pdf->SetTextColor(255, 255, 255);
    $pdf->SetFillColor(26, 188, 156);
    $pdf->Cell(8, 7, "Sr.", 1, 0, '', 1);
    $pdf->Cell(45, 7, "Name", 1, 0, '', 1);
    $pdf->Cell(120, 7, "Address", 1, 0, '', 1);
    $pdf->Cell(25, 7, "City", 1, 0, '', 1);
    $pdf->Cell(40, 7, "Email", 1, 0, '', 1);
    $pdf->Cell(15, 7, "Pin", 1, 0, '', 1);
    $pdf->Cell(25, 7, "Tel", 1, 0, '', 1);
    $pdf->SetFont('Arial', '', 1, 0);

    $pdf->SetTextColor(0, 0, 0);
    $pdf->Ln();


    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $pdf->SetFont('Arial', '', 8);
        $pdf->Cell(8, 7, "$ctr", 1, 'C');
        $pdf->Cell(45, 7, "$pmain[name]", 1);
        $pdf->Cell(120, 7, "$pmain[add1] $pmain[add2] $pmain[add3]", 1);
        $pdf->Cell(25, 7, "$pmain[city]", 1);
        $pdf->Cell(40, 7, "$pmain[email]", 1);
        $pdf->Cell(15, 7, "$pmain[pin]", 1);
        $pdf->Cell(25, 7, "$pmain[tel]", 1);
        $ctr++;
        $pdf->Ln();
    }

    $pdf->Output("Customer.pdf", "D");
}

?>